diff -ruN cdrom-detect.orig/debian/cdrom-detect.postinst cdrom-detect/debian/cdrom-detect.postinst
--- cdrom-detect.orig/debian/cdrom-detect.postinst	2014-02-13 16:08:09.609078000 +0100
+++ cdrom-detect/debian/cdrom-detect.postinst	2014-02-13 16:46:44.927090946 +0100
@@ -166,18 +166,31 @@
 			log "Trying loopmount ($fs) on '$devices' ..."
 			for loopdev in $devices; do
 				# Determine the filesystem of the device
-				LOOPFS=$(get_fstype "$loopdev")
-				# Mount the device and try to mount the ISO specified by 'loopmount='
-				log "Try to mount device=$loopdev fstype=$LOOPFS"
-				if mount -o $OPTIONS -t $LOOPFS $loopdev /loop; then
-					log "Try to loop mount file=$loopfile fstype=$CDFS"
-					if [ -f $loopfile ] && try_mount $loopfile $CDFS $OPTIONS $loopdev; then
-						mounted=1
-						cd_mountable=false
-						break 2
+				if get_fstype "$loopdev"; then
+					LOOPFS=$(get_fstype "$loopdev")
+					# Mount the device and try to mount the ISO specified by 'loopmount='
+					log "Try to mount device=$loopdev fstype=$LOOPFS"
+					if mount -o $OPTIONS -t $LOOPFS $loopdev /loop; then
+						if [ -f $loopfile ]; then
+							log "Try to loop mount file=$loopfile fstype=$CDFS"
+							if [ -f $loopfile ] && try_mount $loopfile $CDFS $OPTIONS $loopdev; then
+								mounted=1
+								cd_mountable=false
+								break 2
+							else
+								log "The mount failed."
+								umount /loop
+							fi
+						else
+							log "File not found: $loopfile"
+							umount /loop
+						fi
 					else
-						umount /loop
+						log "The mount failed."
+						umount /loop || true
 					fi
+				else
+					log "The filesystem of device=$loopdev could not be determined."
 				fi
 			done
 		done
